> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Remove list of users from DSGroup

DELETE https://api-d.docusign.net/Management/v2.1/organizations/{organizationId}/accounts/{accountId}/dsgroups/{dsGroupId}/users
Content-Type: application/json

Removes a list of users from a DSGroup. In the request body, you can specify users by ID or email address. If both parameters are included, the email address parameter will be ignored.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_write`.

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/multiproductusermanagement/removedsgroupusers

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID GUID
- `accountId` (string, required) — The account ID GUID
- `dsGroupId` (string, required) — The DSGroup's GUID.

### Body (application/json)

This endpoint expects a DSGroupUsersRemoveRequest.

- `user_ids` (list of string, optional) — An array of IDs corresponding to users to remove from the group.
- `user_emails` (list of string, optional) — An array of emails associated with users to remove from the group. **Note:** If `user_ids` is also specified, this parameter will be ignored.

## Response

### 200

OK

- `is_success` (boolean, optional)
- `failed_users` (list of DSGroupUserResponse, optional)

## Types

### DSGroupUserResponse

- `user_id` (string, optional)
- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.
- `user_name` (string, optional) — The full name of the user.
- `first_name` (string, optional) — The user's first name.
- `last_name` (string, optional) — The user's last name.
- `middle_name` (string, optional)
- `status` (string, optional) — Status.
- `error_details` (ErrorDetails, optional) — Errors.

### ErrorDetails

Errors.

- `error` (string, optional) — The code for the error.
- `error_description` (string, optional) — A description of the error.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "is_success": true,
  "failed_users": [
    {
      "user_id": "00000000-0000-0000-0000-000000000000",
      "account_id": "00000000-0000-0000-0000-000000000000",
      "user_name": "string",
      "first_name": "string",
      "last_name": "string",
      "middle_name": "string",
      "status": "string",
      "error_details": {
        "error": "string",
        "error_description": "string"
      }
    }
  ]
}
```